# James' Master Module list
A list of Modules I use.
Title size = Importance
This also aids me into getting the hang of the different plugins.

> *James, 2021:*
> "I don't need modules, I'm a purist!""

> *James, 2022:*
> Oh my god you can do that???

---
# To look into
* [Argon - Combat HUD](https://github.com/theripper93/enhancedcombathud)
* [Foundry Achievements](https://github.com/Handyfon/Farchievements)
---

# TODO:
- [x] Add all installed modules from my instance
- [x] Add all sources
- [x] Add dependencies
- [ ] Add screenshots
- [ ] Add personal thoughts and comments
- [ ] Add recommended configurations
- [x] Make coffee
- [x] Make more coffee
- [x] Make MORE coffee
- [x] Make *MORE* coffee
- [x] Make **MORE** coffee
- [] THAT'S TOO MUCH COFFEE!!!
- [x] Updated localisation files

---

## [Smalltime](https://github.com/unsoluble/smalltime)
A small module for displaying and controlling the current time of day.

### Recommended settings
| Option                     | Setting                          |
|:---------------------------|:---------------------------------|
| Time Format                | 24hr                             |
| Show Seconds               | true                             |
| Date Format                | (Personal Prefference)  17. July |
| Affect Darkness by Default | true                             |

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done

---

## [Tidy5e Sheet](https://github.com/sdenec/tidy5e-sheet)
An alternative Character Sheet for Foundry VTT dnd5e aimed at creating a cleaner UI.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Fog Manager](https://gitlab.com/tiwato/fogmanager)
A module for FoundryVTT that lets you edit fog of war manually, and push/pull it to players.

*Tools:*
![Tools](https://gitlab.com/tiwato/fogmanager/-/raw/master/command_overview.png)
![A short demo of loading, edit and pushing fog. Left side is a player, and right is the GM](https://gitlab.com/tiwato/fogmanager/-/raw/master/short_demo.webm)

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Better Rolls for 5e](https://github.com/RedReign/FoundryVTT-BetterRolls5e)
A Foundry VTT module that replaces the built in rolling system for DnD5e. It allows for quick, compounded rolls for items, ability checks saving throws, and just about any roll you might want. Though initially a fork of Hooking's Item Sheet Buttons module, it now includes several roll templates designed for Foundry's 5e sheets to increase speed of play. Felix's Chat Damage Buttons module has also been implemented into core Better Rolls.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Hey, listen! - Chat Notifications](https://github.com/Moerill/fvtt-chat-notifications)
Don't want to interrupt your workflow, uncollapsing the sidebar or switching sidebar tabs, just to see the newest roll/message send? Then this module is right for you!
When the chat log tab is not active or collapsed, new messages will get shown as toast like notifications. The position. opacity, fade delay, max amount, .. is all customizable from the settings menu. (on a per user basis!)

These notifications are interactable using left- and right-clicks, which results in the chat log being opened, the card being scrolled into view and the element you clicked on being clicked on!

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Monk's Little Details](https://github.com/ironmonk88/monks-little-details)

Add-On Module for Foundry VTT It's just a bunch of little things to make the program run a little smoother and look a little better. But a lot are based on personal preference.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Monk's Player Settings](https://github.com/ironmonk88/monks-player-settings)
Needs to be installed with [THIS LINK](https://raw.githubusercontent.com/ironmonk88/monks-player-settings/main/module.json)

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Monk's Enhanced Journal](https://github.com/ironmonk88/monks-enhanced-journal)
Add-On Module for Foundry VTT This is an enhanced version of the journal. It allows for multiple types of journal entries, and adds increased functionality such as searching, private notes, bookmarks, and tabs.

Also Shops Quests (tracking), Places... basically anything!

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Monk's Active Tile Triggers](https://github.com/ironmonk88/monks-active-tiles)
Add-On Module for Foundry VTT Want to teleport, or open doors, or hide characters, or display a message, or play a sound, or change a token's elevation when a token walks over a tile... now you can

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Monk's TokenBar](https://github.com/ironmonk88/monks-tokenbar)
Add a token bar to show the current player tokens that are available on the current scene

![Tokenbar](https://github.com/ironmonk88/monks-tokenbar/raw/main/screenshots/TokenBar.webp)

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Monk's Wall Enhancement](https://github.com/ironmonk88/monks-wall-enhancement)
Add-On Module for Foundry VTT Improvements to the Core Wall functionality.
This is a spin off from the original Monk's Little Details module. The original was getting a little large and I wanted to do more work with the Wall Functionality.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---
## [Monk's Sound Enhancements](https://github.com/ironmonk88/monks-sound-enhancements)
This is some enhancements to the way Foundry handles playlist and sounds

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Monk's Scene Navigation](https://github.com/ironmonk88/monks-scene-navigation)
Add-On Module for Foundry VTT An update to the standard Scene Navigation interface.

### Recommended settings
It just looks nicer
`Monk's Scene Navigation` -> `Display background` = OFF

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done

---

## [Universal Battlemap Importer](https://github.com/moo-man/FVTT-DD-Import)
Allows importing Universal VTT map files into FoundryVTT.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Settings Extender](https://gitlab.com/foundry-azzurite/settings-extender)
Extends the settings menu, adding additional types for configuration values.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Window Controls](https://github.com/saif-ellafi/foundryvtt-window-controls)
Window Taskbar and Window Buttons: Minimize, Maximize and Pin floating Windows. Configurable.
Organized Minimized mode allows minimizing windows on a fixed horizontal taskbar located on top or bottom.

### Recommended settings

### Dependencies
* [LibWrapper](https://github.com/ruipin/fvtt-lib-wrapper)

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Polyglot](https://github.com/League-of-Foundry-Developers/fvtt-module-polyglot)
Talk to others using a language you can speak and scrambles text you can't understand, into several fantasy scripts.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## !!!INCOMPATIBILITY WARN!!! [PNP - Pointer and Pings](https://github.com/Moerill/fvtt-pointer)
Gives all players the option to show a customizable cursor on demand, as well as ping any location with a custom ping!
Hotkeys, pings, pointer, everything customizable!
As GM you can also move your players view to your pin on demand.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Combat Ready!](https://github.com/Teshynil/combatready)
Shows a graphic + sound for players a round just before a player's turn (Next Up) and during their turn.

### Recommended settings
Completely up to personal prefference

### Dependencies
* socketlib
* colorsettings

### Personal Thoughts
> Looks and feels awesome, don't forget to disable Monk's little details combat sounds

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## !!!INCOMPATIBILITY WARN!!! [Give Item to another player](https://github.com/Sepichat/FoundryVTT-GiveItem)
A module to allow a Player to give an item he owns to another player without the hassle to have to go through the compendium

### Recommended settings
Needs to be enabled in settings.... it's the only setting... ok

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Dice so Nice](https://gitlab.com/riccisi/foundryvtt-dice-so-nice)
This module for Foundry VTT adds the ability to show a 3D dice simulation when a roll is made.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---
---

## [Dice So Nice - Weighted Companion Cube Dice Set](https://github.com/EndlesNights/ApertureScienceWCDice)
Adds a set of 3D dice in the style of Aperture Science Weighted Companion Cube to Dice-So-Nice

### Recommended settings

### Dependencies
* None

### Personal Thoughts
> :)

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Illandril's Chat Enhancement](https://github.com/illandril/FoundryVTT-chat-enhancements)
This is a module for Foundry Virtual Tabletop that adds a few enhancements to the chat.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Search Anywhere](https://gitlab.com/riccisi/foundryvtt-search-anywhere)
A FoundryVTT Module that adds a way to quickly search for any entity by name via a handy auto-complete widget.
Search Anywhere is specifically designed to streamline and speed up the search workflow using quick keyboard shortcuts.

### Recommended settings

### Dependencies
* None        

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Combat Enhancements](https://gitlab.com/asacolips-projects/foundry-mods/combat-enhancements)
This small module adds a radial health bar, an editable HP field, and drag/drop re-ordering to the combat tracker.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Token HUD Wildcard](https://github.com/javieros105/FVTT-TokenHUDWildcard)
This is a really simple module for Foundry VTT that adds a button to the Token HUD if the corresponding token has Randomized Wildcard Images activated and more than 1 detected image.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## !!!INCOMPATIBILITY WARN!!! [Scene Transitions](https://github.com/DM-miX/scene-transitions)
Allows GM to make simple transitions to show players before navigating to new screen. Can be used for narrative effect. Can now be used with macros to create transitionless Transitions. And journal entries can now be used to generate a Transition.

### Recommended settings
<details>
  <summary>To use, create macros on your macrobar.</summary>
Example:

```js
/**
 * Transition.macro(options, showMe)
 */
Transition.macro({
	sceneID: false,
	content:"TEST MACRO",
	fontColor:'##ffffff',
	fontSize:'28px',
	bgImg:'', // pass any relative or absolute image url here.
	bgPos:'center center',
	bgSize:'cover',
	bgColor:'##333333',
	bgOpacity:0.7,
	fadeIn: 400, //how long to fade in
	delay:5000, //how long for transition to stay up
	fadeOut: 400, //how long to fade out
	audio: "", //path to audio file
	skippable:true, //Allows players to skip transition with a click before delay runs out.
	gmHide: true, // hide the transistion on other windows logged in as a GM
	gmEndAll: true, // when the GM clicks to end the transition - end for everyone
	showUI: false, // Show the User Interface elements to all players allowing them to interact with character sheets etc

}, true ) //show to the triggering user
```
</details>

### Dependencies
* None

### Personal Thoughts
Uuuuuugh... macros? Really? Me like buttons. Buttons simple...
Cool Idea but... uuuugh... macros....

- [x] Documentation
- [x] Dependencies
- [x] Thoughts
- [ ] Done
---

## [Multilevel Tokens](https://github.com/grandseiken/foundryvtt-multilevel-tokens)
This module for FoundryVTT adds several helpful token automation features, particularly (but not only) suited to maps with multiple levels.

### Recommended settings

### Dependencies
* None

### Personal Thoughts
I used to give a lot of shit to this module because of the way the multilayering is implemented... I gotta admit, it's not *THAT* bad!

- [ ] Documentation
- [x] Dependencies
- [x] Thoughts
- [ ] Done
---

## [Perfect Vision](https://github.com/dev7355608/perfect-vision)
<details>
  <summary>The dev of Perfect vision was quite... descriptive. Click here to expand...</summary>

Perfect Vision ...
- ... provides higher quality lighting than core Foundry VTT.
- ... accurately renders vision like *darkvision*, *low-light vision*, and *devil's sight*; presets for most major systems are included.
- ... adds a togglable GM vision mode that helps the GM to see clearly even if the scene is very dark.
- ... adds a togglable overlay that helps to distinguish between dim, bright, and no light easily.
- ... adds the ability to restrict the maximum distance a token can see, configurable per token, globally, or locally; you can use this feature to simply blind tokens and to create areas (magical darkness, fog, tall grass, or dense foliage, for example) that restrict vision to a certain distance. These areas can be defined by drawings, templates, or light sources.
- ... adds the ability to change daylight and darkness colors.
- ... adds the ability to change all lighting settings [locally](##drawing-configuration); that makes it possible to enable *Unrestricted Vision Range* outside, but disable it indoors, for example.
- ... renders the grid, drawings, token borders & auras, and turn markers in such away that these elements are not affected by lighting, and therefore remain clearly visible and colorful in dark scenes.
- ... changes the light animation to match the shaped lights of the [Light/Sound Mask](https://github.com/caewok/fvtt-light-mask) module.
- ... improves the quality of [FXMaster's](https://foundryvtt.com/packages/fxmaster) & [Weather Blocker's](https://github.com/theripper93/Weather-Blocker) weather masks and [Better Roofs](https://foundryvtt.com/packages/betterroofs) masks.
- ... makes [FXMaster's](https://foundryvtt.com/packages/fxmaster) weather effects interact with roof tiles just like core weather effects.
- ... is 100% compatible with [Levels](https://foundryvtt.com/packages/levels).
- ... is compatible with the Pathfinder 2e system's *rules-based vision*.
</details><br>

### Recommended settings

### Dependencies
* [LibWrapper](https://github.com/ruipin/fvtt-lib-wrapper)

### Personal Thoughts
> ... is definetly not too much up their own arse.
> Also I think it's not quite compatible with TouchVTT, that's tbd tho.

- [ ] Documentation
- [x] Dependencies
- [x] Thoughts
- [ ] Done
---

## [Illandril's Hotbar Uses](https://github.com/illandril/FoundryVTT-hotbar-uses)
This is a module for Foundry Virtual Tabletop that adds a "uses" counter to item macros on your hotbar.
![Uses](https://github.com/illandril/FoundryVTT-hotbar-uses/blob/master/screenshots/example-a.png?raw=true)

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Dice Tray](https://gitlab.com/asacolips-projects/foundry-mods/foundry-vtt-dice-calculator)
This module turns the d20 icon near the chat prompt into a clickable link that opens up a new dice calculator dialog. The dice calculator includes buttons for dice, numbers, and simple math.
### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [DF Settings Clarity](https://github.com/flamewave000/dragonflagon-fvtt/tree/master/df-settings-clarity)
This simple module provides a measure of clarity to the module configurations. It adds a tag to the start of each module settings' name that indicates if it is a world (GM Only) or a client (Per User) setting. This is very useful for GM to know which settings the users can see, and which ones only the GM can see. Also it can help clear up confusion when the GM is helping a player setup their settings.
### Recommended settings

### Dependencies
* [LibWrapper](https://github.com/ruipin/fvtt-lib-wrapper)

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [D&D Beyond Importer](https://github.com/MrPrimate/ddb-importer)
Integrate your dndbeyond.com characters into Foundry Virtual Tabletop.
### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Changelogs & Conflicts](https://github.com/theripper93/libChangelogs)
It adds changelogs...
### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## !!!INCOMPATIBILITY WARN!!! [Break Time](https://github.com/ironmonk88/breaktime)
Foundry VTT module to show when players have returned from a break or to display when a player is stepping out for a second
![Breaktime :)](https://github.com/ironmonk88/breaktime/raw/main/screenshots/away_dialog.png)
### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Monarch](https://github.com/zeel01/monarch)
*Monarch is currently in beta!*

Monarch is an enhanced card UI for Foundry VTT v9+ which provides replacements for card, hand, deck, and pile sheets.
### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Remote Highlight UI](https://github.com/itamarcu/remote-highlight-ui)
Allows users to highlight UI elements on others' screens.
![Highlighting :)](https://github.com/itamarcu/remote-highlight-ui/raw/master/metadata/demo_1.gif)
### Recommended settings

### Dependencies
* [LibWrapper](https://github.com/ruipin/fvtt-lib-wrapper)

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

# Dependencies

## [lib - ColorSettings](https://github.com/ardittristan/VTTColorSettings)
Adds color picker as settings option and form option in Foundry VTT to use as library for module developers.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---

## [Library: Chat Commands](https://github.com/League-of-Foundry-Developers/Chat-Commands-Lib)
Allows for easy registration of custom chat commands such as /command, complete with autocomplete

### Recommended settings

- [ ] Documentation
- [ ] Done
---

## [Tidy UI Game Settings](https://github.com/sdenec/tidy-ui_game-settings)
formerly FVTT UII - Game Settings
A module to make the game settings menu a bit more comfortale to use. A stand alone module from the upcoming Tidy UI suite module.
### Recommended settings

### Dependencies
* None

### Personal Thoughts
- [ ] Documentation
- [x] Dependencies
- [ ] Thoughts
- [ ] Done
---
## [Simple Calendar](https://github.com/vigoren/foundryvtt-simple-calendar)
This module allows you to create a completely customizable calendar that ties in with the Game Masters world exactly how they want it to. Notes and events can be added to the calendar to help keep track of what and when things are happening in your world.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [ ] Done

---


## [LibWrapper](https://github.com/ruipin/fvtt-lib-wrapper)
Library for Foundry VTT which provides package developers with a simple way to modify core Foundry VTT code, while reducing the likelihood of conflict with other packages.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

- [ ] Documentation
- [ ] Done

---
## [socketlib](https://github.com/manuelVo/foundryvtt-socketlib)
A library for simplifying working with foundries sockets. This module does not have any user facing features. You only need to install it if one of the modules you use lists it as a dependency.

### Recommended settings

- [ ] Documentation
- [ ] Done

---
# Retired


## [Monk's Enhanced Terrain Layer](https://github.com/ironmonk88/enhanced-terrain-layer)
Adds a Terrain Layer to Foundry that can be used by other modules to calculate difficult terrain.

### Recommended settings

### Dependencies

### Personal Thoughts

### Reason for retirement
> I just simply don't use it anymore
---

## [Minimal UI](https://github.com/saif-ellafi/foundryvtt-minimal-ui)
Extremely Configurable UI module, allows the user to hide, collapse or auto-hide components separately.

### Recommended settings

### Dependencies
* [lib - ColorSettings](https://github.com/ardittristan/VTTColorSettings)

### Personal Thoughts

### Reason for retirement
> Broken
---

## [Chat Portrait](https://github.com/ShoyuVanilla/FoundryVTT-Chat-Portrait)
A Foundry VTT module that displays the Actor's portrait images on the chat messages.

### Recommended settings

### Dependencies
* None

### Personal Thoughts

### Reason for retirement
> Sounds good, doesn't work. I mean it does, but it's not what I need
---

## [Force Client Settings](https://gitlab.com/kimitsu_desu/force-client-settings)
Allows to force chosen settings for all clients to the defaults provided by the GM.

### Recommended settings

### Dependencies
* [LibWrapper](https://github.com/ruipin/fvtt-lib-wrapper)

### Personal Thoughts
---

## [Weather Control](https://gitlab.com/jstebenne/foundryvtt-weather-control)
The successor of Calendar/Weather, Weather Control aims to provide the most seamless experience to add dynamic weather to your game based on climates.

### Recommended settings

### Dependencies
* Simple Calendar

### Personal Thoughts

### Reason for retirement
> It's an addon, which adds ANOTHER daytime overview.... we don't need that.

---
